BlocRequete

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wscreation.createrequest
Class BlocRequete

    java.lang.Object
      com.wscreation.createrequest.BlocRequete

    public class BlocRequete

extends java.lang.Object

Field Summary
`private java.util.Vector<java.lang.String>` | `bloc`
`private int` | `blocLevel`
`private int` | `blocType`
`(package private) static int` | `FIRSTBLOC`
`private com.hp.hpl.jena.rdf.model.Resource` | `firstPredicate`
`private com.hp.hpl.jena.rdf.model.Resource` | `lastPredicate`
`(package private) static int` | `NEWLEVELBLOC`
`(package private) static int` | `SAMELEVELBLOC`

Constructor Summary
`BlocRequete(java.util.Vector<java.lang.String> bloc, int blocType)`
`BlocRequete(java.util.Vector<java.lang.String> bloc, int blocType, int blocLevel)`

Method Summary
`java.util.Vector<java.lang.String>` | `getBloc()`
`int` | `getBlocLevel()`
`int` | `getBlocType()`
`com.hp.hpl.jena.rdf.model.Resource` | `getFirstPredicate()`
`com.hp.hpl.jena.rdf.model.Resource` | `getLastPredicate()`
`private void` | `getPredicate(int elementOfThePredicate)` get the first or the last predicate
`void` | `setBlocLevel(int blocLevel)`
`void` | `setBlocType(int blocType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bloc

    private java.util.Vector<java.lang.String> bloc

### blocLevel

    private int blocLevel

### firstPredicate

    private com.hp.hpl.jena.rdf.model.Resource firstPredicate

### lastPredicate

    private com.hp.hpl.jena.rdf.model.Resource lastPredicate

### blocType

    private int blocType

### FIRSTBLOC

    static int FIRSTBLOC

### NEWLEVELBLOC

    static int NEWLEVELBLOC

### SAMELEVELBLOC

    static int SAMELEVELBLOC

Constructor Detail

### BlocRequete

    public BlocRequete(java.util.Vector<java.lang.String> bloc,
                       int blocType)

### BlocRequete

    public BlocRequete(java.util.Vector<java.lang.String> bloc,
                       int blocType,
                       int blocLevel)

Method Detail

### setBlocLevel

    public void setBlocLevel(int blocLevel)

### getBlocLevel

    public int getBlocLevel()

### getFirstPredicate

    public com.hp.hpl.jena.rdf.model.Resource getFirstPredicate()

### getLastPredicate

    public com.hp.hpl.jena.rdf.model.Resource getLastPredicate()

### setBlocType

    public void setBlocType(int blocType)

### getBlocType

    public int getBlocType()

### getBloc

    public java.util.Vector<java.lang.String> getBloc()

### getPredicate

    private void getPredicate(int elementOfThePredicate)

  get the first or the last predicate

  Parameters:
    `elementOfThePredicate` - an integer. value=1 for first predicate and 2 for last predicate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD